set define off
set verify off
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end;
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,27804991816930460418));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2012.01.01');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,12161);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

prompt  ...ui types
--
 
begin
 
null;
 
end;
/

prompt  ...plugins
--
--application/shared_components/plugins/item_type/upnlink
 
begin
 
wwv_flow_api.create_plugin (
  p_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'ITEM TYPE'
 ,p_name => 'UPNLINK'
 ,p_display_name => 'SendPDFMail'
 ,p_supported_ui_types => 'DESKTOP'
 ,p_image_prefix => '#PLUGIN_PREFIX#'
 ,p_plsql_code => 
'/**'||unistr('\000a')||
'www.apex-reports.com'||unistr('\000a')||
'*/'||unistr('\000a')||
'function render_Upnlink ('||unistr('\000a')||
'    p_item                in apex_plugin.t_page_item,'||unistr('\000a')||
'    p_plugin              in apex_plugin.t_plugin,'||unistr('\000a')||
'    p_value               in varchar2,'||unistr('\000a')||
'    p_is_readonly         in boolean,'||unistr('\000a')||
'    p_is_printer_friendly in boolean )'||unistr('\000a')||
'    return apex_plugin.t_page_item_render_result'||unistr('\000a')||
'is'||unistr('\000a')||
'    '||unistr('\000a')||
'    l_name            varchar2(30);'||unistr('\000a')||
'--    l_number_of_stars number  '||
'       := nvl(to_number(p_item.attribute_01), c_default_stars);'||unistr('\000a')||
'--    l_clear_tooltip   varchar2(4000) := sys.htf.escape_sc(nvl(p_plugin.attribute_01, ''Clear Rating''));'||unistr('\000a')||
''||unistr('\000a')||
'    l_result apex_plugin.t_page_item_render_result;'||unistr('\000a')||
'    l_button varchar2(1);'||unistr('\000a')||
'    l_dialogtitle varchar2(100);'||unistr('\000a')||
'    l_defaultSubject varchar2(100);'||unistr('\000a')||
'    l_defaultBody varchar2(300);'||unistr('\000a')||
'    l_labelTo varchar2(90);'||unistr('\000a')||
'    l_labelSubject var'||
'char2(90);'||unistr('\000a')||
'    l_labelBody varchar2(90);'||unistr('\000a')||
'    l_btnmsg varchar(30);'||unistr('\000a')||
'    '||unistr('\000a')||
'begin'||unistr('\000a')||
''||unistr('\000a')||
'/*'||unistr('\000a')||
''||unistr('\000a')||
'att_01: default mail subject'||unistr('\000a')||
'att_02: defailt mail body'||unistr('\000a')||
'att_03: label for "to" field'||unistr('\000a')||
'att_04: label for "subject" field'||unistr('\000a')||
'att_05: label for "Body" field'||unistr('\000a')||
'att_06: dialog title'||unistr('\000a')||
'att_07: label of the upload button'||unistr('\000a')||
'att_08: report query name'||unistr('\000a')||
'att_09: mail sender'||unistr('\000a')||
'att_10: attachment name'||unistr('\000a')||
'**/'||unistr('\000a')||
'    l_button:=''Y'';'||unistr('\000a')||
'  '||unistr('\000a')||
'    l_defaultSub'||
'ject:=p_item.attribute_01;'||unistr('\000a')||
'    l_defaultBody:=p_item.attribute_02;'||unistr('\000a')||
'    l_labelTo:=p_item.attribute_03;'||unistr('\000a')||
'    l_labelSubject:=p_item.attribute_04;'||unistr('\000a')||
'    l_labelBody:=p_item.attribute_05;'||unistr('\000a')||
'    l_dialogtitle:=p_item.attribute_06;'||unistr('\000a')||
'    l_btnmsg:=p_item.attribute_07;'||unistr('\000a')||
'    '||unistr('\000a')||
'apex_javascript.add_library ('||unistr('\000a')||
'        p_name      => ''upnlink'','||unistr('\000a')||
'        p_directory => p_plugin.file_prefix,'||unistr('\000a')||
'        p_version   => null )'||
';'||unistr('\000a')||
''||unistr('\000a')||
'apex_javascript.add_library ('||unistr('\000a')||
'        p_name      => ''hash'','||unistr('\000a')||
'        p_directory => p_plugin.file_prefix,'||unistr('\000a')||
'        p_version   => null );'||unistr('\000a')||
''||unistr('\000a')||
'if (l_button=''Y'') then'||unistr('\000a')||
''||unistr('\000a')||
'    sys.htp.p(''<button id="j4lpdfdialogbtn" value=" ''  ||  l_btnmsg ||   ''" type="button" ''   ||  p_item.element_attributes  ||  ''><span>''  ||  l_btnmsg ||   ''</span></button>'');'||unistr('\000a')||
''||unistr('\000a')||
'else '||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<a id="j4lpdfdialogbtn" href="#" ''   '||
'||  p_item.element_attributes  ||  ''  > ''  ||  l_btnmsg ||   '' </a>'');'||unistr('\000a')||
''||unistr('\000a')||
'end if;'||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<script>var j4lAjaxIdentifier="'' || sys.htf.escape_sc(wwv_flow_plugin.get_ajax_identifier) || ''"'');'||unistr('\000a')||
'sys.htp.p(''</script>'');'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<div id="j4lpdfdialog2" style="display:none;" title="''  ||  l_dialogtitle ||   ''">'');'||unistr('\000a')||
'sys.htp.p(''<p><form>'');'||unistr('\000a')||
'sys.htp.p(''<fieldset>'');'||unistr('\000a')||
'sys.htp.p(''<label for="j4lto">''  || '||
' l_labelTo ||   ''</label>'');'||unistr('\000a')||
'sys.htp.p(''<input style="display:block; width:100%"  name="j4lto" id="j4lto" type="text" value="'' ||  p_value || ''" >'');'||unistr('\000a')||
'sys.htp.p(''<label for="j4lsubject">''  ||  l_labelSubject ||   ''</label>'');'||unistr('\000a')||
'sys.htp.p(''<input style="display:block; width:100%"  id="j4lsubject" name="j4lsubject" type="text" value="'' ||  l_defaultSubject || ''" >'');'||unistr('\000a')||
'sys.htp.p(''<label for="j4lmsg">''  |'||
'|  l_labelBody ||   ''</label>'');'||unistr('\000a')||
'sys.htp.p(''<textarea style="display:block; width:100%"  rows="4" id="j4lmsg" name="j4lmsg" type="text"  >'');'||unistr('\000a')||
'sys.htp.p('''' ||  l_defaultBody || ''</textarea>'');'||unistr('\000a')||
'sys.htp.p(''</fieldset>'');'||unistr('\000a')||
'sys.htp.p(''</form>		</p>'');'||unistr('\000a')||
'sys.htp.p(''</div>'');'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<div id="j4lpdfdialog3" style="display:none;" title="Creating and sending ...">'');'||unistr('\000a')||
'sys.htp.p(''<p align="center"> <img id'||
'="j4lloader" style="display:none" src="'' || p_plugin.file_prefix || ''loader.gif" /></p>'');'||unistr('\000a')||
'sys.htp.p(''<p id="j4lstatus" style="font-weight:bold; font-size:14px;" align="center"</p>'');'||unistr('\000a')||
'sys.htp.p(''</div>'');'||unistr('\000a')||
''||unistr('\000a')||
'return l_result;'||unistr('\000a')||
''||unistr('\000a')||
'end render_Upnlink;'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'function ajax ('||unistr('\000a')||
'    p_item   in apex_plugin.t_page_item,'||unistr('\000a')||
'    p_plugin in apex_plugin.t_plugin )'||unistr('\000a')||
'return apex_plugin.t_page_item_ajax_result'||unistr('\000a')||
'is'||unistr('\000a')||
'-- Dynamic a'||
'ttribute mapping'||unistr('\000a')||
'l_param1     clob:= apex_application.g_x01;'||unistr('\000a')||
'l_param2     varchar2(100) := apex_application.g_x02;'||unistr('\000a')||
'l_param3     varchar2(100) := apex_application.g_x03;'||unistr('\000a')||
'l_param4     varchar2(100) := apex_application.g_x04;'||unistr('\000a')||
'--l_column_value_list apex_plugin_util.t_column_value_list;    '||unistr('\000a')||
'l_result            apex_plugin.t_page_item_ajax_result;'||unistr('\000a')||
'l_id number;'||unistr('\000a')||
'l_document BLOB;'||unistr('\000a')||
'L_CLOB CLOB;'||unistr('\000a')||
'l_Body CLOB;'||unistr('\000a')||
''||
'l_reportquery varchar2(150);'||unistr('\000a')||
'l_sender varchar2(150);'||unistr('\000a')||
'l_attname varchar2(150);'||unistr('\000a')||
'begin'||unistr('\000a')||
'    '||unistr('\000a')||
'-- report query name'||unistr('\000a')||
'l_reportquery := p_item.attribute_08;'||unistr('\000a')||
'l_sender := p_item.attribute_09;'||unistr('\000a')||
'l_attname:=p_item.attribute_10;'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'l_document := APEX_UTIL.GET_PRINT_DOCUMENT'||unistr('\000a')||
'     ('||unistr('\000a')||
'     p_application_id=> NV(''APP_ID''),'||unistr('\000a')||
'     p_report_query_name=> l_reportquery,'||unistr('\000a')||
'     p_report_layout_type=>''pdf'','||unistr('\000a')||
'     p_document_forma'||
't=>''pdf'''||unistr('\000a')||
'     );'||unistr('\000a')||
''||unistr('\000a')||
'l_CLOB := apex_web_service.blob2clobbase64(l_document);'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'l_Body := l_param1;'||unistr('\000a')||
''||unistr('\000a')||
'l_id := APEX_MAIL.SEND'||unistr('\000a')||
'       ('||unistr('\000a')||
'        p_to        => l_param3,      '||unistr('\000a')||
'        p_from      => l_sender,'||unistr('\000a')||
'        p_subj      => l_param2,'||unistr('\000a')||
'        p_body      =>  l_Body,'||unistr('\000a')||
'        p_body_html => l_Body'||unistr('\000a')||
'        );'||unistr('\000a')||
' '||unistr('\000a')||
''||unistr('\000a')||
'APEX_MAIL.ADD_ATTACHMENT'||unistr('\000a')||
'        ('||unistr('\000a')||
'        p_mail_id    => l_id,'||unistr('\000a')||
'        p_attachment => l'||
'_document,'||unistr('\000a')||
'        p_filename   => l_attname,'||unistr('\000a')||
'        p_mime_type  => ''application/pdf'''||unistr('\000a')||
'        );'||unistr('\000a')||
''||unistr('\000a')||
'APEX_MAIL.PUSH_QUEUE;'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'htp.p(''Mail sent successfully '');'||unistr('\000a')||
''||unistr('\000a')||
'return l_result;'||unistr('\000a')||
''||unistr('\000a')||
'    '||unistr('\000a')||
'end;'||unistr('\000a')||
''
 ,p_render_function => 'render_Upnlink'
 ,p_ajax_function => 'ajax'
 ,p_standard_attributes => 'VISIBLE:SESSION_STATE:SOURCE:ELEMENT'
 ,p_substitute_attributes => true
 ,p_subscribe_plugin_settings => true
 ,p_version_identifier => '1.0'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 27972883632278426638 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Default email subject'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => 'Requested document'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 27972883929475427943 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'Default email body'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => 'Please find attached the requested document'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 27972890748547906426 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 3
 ,p_display_sequence => 30
 ,p_prompt => 'Label for "To" field'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'To'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 27972891043587908667 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 4
 ,p_display_sequence => 40
 ,p_prompt => 'Label for "Subject" field'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'Subject'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 27972891337332911624 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 5
 ,p_display_sequence => 50
 ,p_prompt => 'Label for "Body" field'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'Message'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 27972891640986925076 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 6
 ,p_display_sequence => 60
 ,p_prompt => 'Dialog title'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'Send PDF Report Mail'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 27972892832693050415 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 7
 ,p_display_sequence => 70
 ,p_prompt => 'Button text'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'Send PDF Mail'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 28104442814918579213 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 8
 ,p_display_sequence => 80
 ,p_prompt => 'Report Query'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 28180950718424487620 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 9
 ,p_display_sequence => 90
 ,p_prompt => 'Mail sender'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'noreply@mycompany.com'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 28255700527990349754 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 10
 ,p_display_sequence => 100
 ,p_prompt => 'PDF attachment name'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'mydocument.pdf'
 ,p_is_translatable => false
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '4749463839612B000B00F10000FFFFFF0B16E9878CF30B16E921FF0B4E45545343415045322E30030100000021FE1A43726561746564207769746820616A61786C6F61642E696E666F0021F904090A0000002C000000002B000B00000232848E08CB96D9';
wwv_flow_api.g_varchar2_table(2) := 'D883F3C50A1BDE56F3CB85E036865859A166277DDE9ABEA70C672D49D787CA2EFAC4B3F93EB8A020324C15000021F904090A0000002C000000002B000B0000023DC48E08CB200F6163B19A84C7AC7CF39861DEF78C6498989FCAA14A434A702CB8076BCD';
wwv_flow_api.g_varchar2_table(3) := 'B1ADE9240EB20165141A6F58F27D8ECA4ED3E29A2C6252C7AF000021F904090A0000002C000000002B000B0000023D848E08CB300F6163A99A6A5BDC6FE20F0A13B779E1798CA4D4A0A8BA0EA60BC2EB4C633689E7C9CEE9F9529A98AC35CC308C47CAE9';
wwv_flow_api.g_varchar2_table(4) := 'F2992C6252A8AE000021F904090A0000002C000000002B000B00000240848E08CB96D9D89894BA071B7EB1FAB9654CA8349F471E512A7427C5AEA9FB0EB1369BB59D8FFDB2E39164435DEDE62B4A76C8451310BC6022CE1015FA021400003B0000000000';
wwv_flow_api.g_varchar2_table(5) := '00000000';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 27972885126485435371 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_file_name => 'loader.gif'
 ,p_mime_type => 'image/gif'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '66756E6374696F6E2075706E6C696E6B436C6F736546756E6374696F6E2829207B0D0A0D0A7D0D0A0D0A0D0A766172206A346C6469764F626A3B0D0A0D0A2F2F206865696768743A203430302C0D0A2F2F2077696474683A203530302C0D0A2428646F63';
wwv_flow_api.g_varchar2_table(2) := '756D656E74292E72656164792866756E6374696F6E28297B0D0A0D0A0909766172206A346C6469764F626A333D242822236A346C7064666469616C6F673322293B0D0A0909090D0A09096A346C6469764F626A332E6469616C6F67287B0D0A0909090961';
wwv_flow_api.g_varchar2_table(3) := '75746F4F70656E3A2066616C73652C0D0A09090909726573697A61626C653A2066616C73652C0D0A090909096D6F64616C3A20747275652C0D0A09090909627574746F6E733A20205B0D0A20202020202020200909097B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(4) := '2009090969643A2022627574746F6E2D636C6F7365222C0D0A202020202020202020202020090909746578743A2022436C6F7365222C0D0A202020202020202020202020090909636C69636B3A2066756E6374696F6E2829207B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(5) := '20202020202020200909096A346C6469764F626A332E6469616C6F672822636C6F736522293B0D0A202020202020202020202020090909097D0D0A20202020202020200909097D0D0A202020202020090909095D0D0A20202020202020200909090D0A0D';
wwv_flow_api.g_varchar2_table(6) := '0A0909097D293B0D0A0D0A0D0A09090D0A09092F2F20637265617465206469616C6F670D0A090909766172206A346C6469764F626A3D242822236A346C7064666469616C6F673222293B0D0A0909096A346C6469764F626A2E6469616C6F67287B0D0A09';
wwv_flow_api.g_varchar2_table(7) := '0909096175746F4F70656E3A2066616C73652C0D0A09090909726573697A61626C653A2066616C73652C0D0A090909096D6F64616C3A20747275652C0D0A09090909636C6F73653A2075706E6C696E6B436C6F736546756E6374696F6E2C0D0A09090909';
wwv_flow_api.g_varchar2_table(8) := '627574746F6E733A20205B0D0A20202020202020200909097B0D0A20202020202020202020202009090969643A2022627574746F6E2D63616E63656C222C0D0A202020202020202020202020090909746578743A202243616E63656C222C0D0A20202020';
wwv_flow_api.g_varchar2_table(9) := '2020202020202020090909636C69636B3A2066756E6374696F6E2829207B0D0A202020202020202020202020202020200909096A346C6469764F626A2E6469616C6F672822636C6F736522293B0D0A202020202020202020202020090909097D0D0A2020';
wwv_flow_api.g_varchar2_table(10) := '2020202020200909097D2C0D0A20202020202020200909097B0D0A20202020202020202020202009090969643A2022627574746F6E2D6F6B222C0D0A202020202020202020202020090909746578743A202253656E64222C0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(11) := '2020090909636C69636B3A2066756E6374696F6E2829207B0D0A0D0A0D0A09090909096A346C6469764F626A2E6469616C6F672822636C6F736522293B0D0A0D0A09090909096A346C6469764F626A332E6469616C6F6728226F70656E22293B0D0A0909';
wwv_flow_api.g_varchar2_table(12) := '09090909090909090D0A0D0A09090909092F2F6A51756572792E737570706F72742E636F7273203D20747275653B0D0A0D0A0909090909766172206F3D24282223627574746F6E2D636C6F736522293B0D0A09090909096F2E616464436C617373282775';
wwv_flow_api.g_varchar2_table(13) := '692D73746174652D64697361626C656427293B0D0A0D0A0D0A09090909097661722069665F7374796C653D646F63756D656E742E676574456C656D656E744279496428226A346C6C6F6164657222292E7374796C653B0D0A090909090969665F7374796C';
wwv_flow_api.g_varchar2_table(14) := '652E646973706C61793D22696E6C696E65223B0D0A0D0A0D0A0909090909766172207375626A6563743D242822236A346C7375626A65637422293B0D0A090909090976617220746F3D242822236A346C746F22293B0D0A0909090909766172206D73673D';
wwv_flow_api.g_varchar2_table(15) := '242822236A346C6D736722293B090D0A09090909092F2F76617220686173687374723D536861312E6861736828746F2E76616C2829293B0D0A0D0A0D0A0D0A090909090909766172206C55726C3B0D0A0909090909096C55726C203D20617065782E7365';
wwv_flow_api.g_varchar2_table(16) := '727665722E706C7567696E55726C28206A346C416A61784964656E7469666965722C207B7830313A206D73672E76616C2829202C207830323A207375626A6563742E76616C2829202C207830333A20746F2E76616C2829207D293B0D0A0D0A0909090909';
wwv_flow_api.g_varchar2_table(17) := '090D0A0D0A090909090909766172206A71786872203D20242E67657428206C55726C2C2066756E6374696F6E28646174612029207B2020200D0A0D0A0D0A09090909090909090909202020766172206F3D24282223627574746F6E2D636C6F736522293B';
wwv_flow_api.g_varchar2_table(18) := '0D0A090909090909090909092020206F2E72656D6F7665436C617373282775692D73746174652D64697361626C656427293B0D0A0D0A090909090909090909092020207661722069665F7374796C653D646F63756D656E742E676574456C656D656E7442';
wwv_flow_api.g_varchar2_table(19) := '79496428226A346C6C6F6164657222292E7374796C653B0D0A0909090909092020200909090920202069665F7374796C652E646973706C61793D226E6F6E65223B0D0A0D0A0D0A0D0A090909090909090909092020207661722069665F7374796C65323D';
wwv_flow_api.g_varchar2_table(20) := '646F63756D656E742E676574456C656D656E744279496428226A346C73746174757322292E7374796C653B0D0A0D0A090909090909090909092020202069665F7374796C65322E636F6C6F723D22677265656E223B0D0A0D0A0909090909090909090920';
wwv_flow_api.g_varchar2_table(21) := '202020242822236A346C73746174757322292E68746D6C2864617461293B0D0A09090909090909090909202020202F2F616C657274282022737563636573732022202B206461746120293B0D0A090909090909090909097D290D0A090909090909090909';
wwv_flow_api.g_varchar2_table(22) := '2020202020202E6661696C280D0A0909090909090909090966756E6374696F6E2829207B202020200D0A0D0A090909090909090909090909766172206F3D24282223627574746F6E2D636C6F736522293B0D0A0909090909090909090909096F2E72656D';
wwv_flow_api.g_varchar2_table(23) := '6F7665436C617373282775692D73746174652D64697361626C656427293B0D0A0D0A0909090909090909090920202009097661722069665F7374796C653D646F63756D656E742E676574456C656D656E744279496428226A346C6C6F6164657222292E73';
wwv_flow_api.g_varchar2_table(24) := '74796C653B0D0A09090909090920202009090909202020090969665F7374796C652E646973706C61793D226E6F6E65223B0D0A0D0A0D0A0909090909090909090920202009097661722069665F7374796C65323D646F63756D656E742E676574456C656D';
wwv_flow_api.g_varchar2_table(25) := '656E744279496428226A346C73746174757322292E7374796C653B0D0A0D0A0909090909090909090920202020090969665F7374796C65322E636F6C6F723D22726564223B0D0A0D0A090909090909090909090909242822236A346C7374617475732229';
wwv_flow_api.g_varchar2_table(26) := '2E68746D6C28224572726F7222293B0D0A0909090909090909090909092F2F616C6572742820226572726F722220293B20200D0A09090909090909090909097D0D0A09090909090909090909293B0D0A0D0A0909090909090D0A0D0A0D0A092020202020';
wwv_flow_api.g_varchar2_table(27) := '2020202020202009097D0D0A09090920202020202020207D0D0A090909202020205D0D0A0D0A0D0A0D0A0909097D293B0D0A0D0A0D0A09090D0A0D0A09092F2F2061646420627574746F6E206576656E742068616E646C65720D0A0909242822236A346C';
wwv_flow_api.g_varchar2_table(28) := '7064666469616C6F6762746E22292E636C69636B2866756E6374696F6E28297B0D0A0D0A0D0A09090D0A090909206A346C6469764F626A2E6469616C6F6728226F70656E22293B0D0A0909090D0A0D0A0D0A0D0A0D0A097D293B0D0A0D0A0D0A7D293B0D';
wwv_flow_api.g_varchar2_table(29) := '0A0D0A0D0A';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 28230101324143332976 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 27972881928434382912 + wwv_flow_api.g_id_offset
 ,p_file_name => 'upnlink.js'
 ,p_mime_type => 'application/octet-stream'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

commit;
begin
execute immediate 'begin sys.dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
set define on
prompt  ...done
